spring:
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    druid:
      driver-class-name: com.mysql.jdbc.Driver
      url: jdbc:mysql://mysql-1.itax.local:36000/dxhy_admin?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&useSSL=false
      username: jxmanager
      password: lRLg^W&dXeqP2i0x

  redis:
    database: 45
    host: redis-1.itax.local
    port: 38000
    password: q92RBG89bbVdn^2k
    lettuce:
      pool:
        max-idle: 500  # 最大空闲连接
        min-idle: 5   # 最小空闲链接
        max-active: 1000  # 最大连接数（负数表示没有限制）
        max-wait: -1   # 最大阻塞等待时间（负数表示没有限制）
    timeout: 6000  #连接超时时间
  rabbitmq:
    host: rabbitmq-1.itax.local
    port:  35000
    username: admin
    password: Invoice!.rabbitm1
  sleuth:
    enabled: true
    http:
      legacy:
        enabled: true


##多数据源的配置，
dynamic:
  datasource:
    basics_basics_read:
      driver-class-name: com.mysql.jdbc.Driver
      url: jdbc:mysql://mysql-1.itax.local:36000/dxhy_admin?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull
      username: jxmanager
      password: lRLg^W&dXeqP2i0x
    basics_basics_write:
      driver-class-name: com.mysql.jdbc.Driver
      url: jdbc:mysql://mysql-1.itax.local:36000/dxhy_admin?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull
      username: jxmanager
      password: lRLg^W&dXeqP2i0x
    business_detail_read:
      driver-class-name: com.mysql.jdbc.Driver
      url: jdbc:mysql://mysql-1.itax.local:36000/dxhy_detail?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull
      username: jxmanager
      password: lRLg^W&dXeqP2i0x
    business_detail_write:
      driver-class-name: com.mysql.jdbc.Driver
      url: jdbc:mysql://mysql-1.itax.local:36000/dxhy_detail?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull
      username: jxmanager
      password: lRLg^W&dXeqP2i0x
    business_business_read:
      driver-class-name: com.mysql.jdbc.Driver
      url: jdbc:mysql://mysql-1.itax.local:36000/dxhy_tertiary?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull
      username: jxmanager
      password: lRLg^W&dXeqP2i0x
    business_business_write:
      driver-class-name: com.mysql.jdbc.Driver
      url: jdbc:mysql://mysql-1.itax.local:36000/dxhy_tertiary?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull
      username: jxmanager
      password: lRLg^W&dXeqP2i0x


logging:
  level:
    com.dxhy.base: DEBUG
  file:
    path: /data/logs/dxhy-domestic/
    name: ${logging.file.path}dxhy-domestic



data:
  initialSize: 10
  maxActive: 150
  minIdle: -1
  maxWait: 60000
  timeBetweenEvictionRunsMillis: 60000
  minEvictableIdleTimeMillis: 3000000
  maxEvictableIdleTimeMillis: 18000000
  validationQuery: SELECT 1 FROM DUAL
  validationQueryTimeout: -1
  testOnBorrow: false
  testOnReturn: false
  testWhileIdle: true
  poolPreparedStatements: false
  maxOpenPreparedStatements: -1
  sharePreparedStatements: false


#mybatis
mybatis-plus:
  mapper-locations: classpath*:/mapper/**/*.xml
  #实体扫描，多个package用逗号或者分号分隔
  typeAliasesPackage: com.dxhy.base.*.entity
  global-config:
    #数据库相关配置
    db-config:
      #主键类型  AUTO:"数据库ID自增", INPUT:"用户输入ID", ID_WORKER:"全局唯一ID (数字类型唯一ID)", UUID:"全局唯一ID UUID";
      id-type: ASSIGN_ID
      #字段策略 IGNORED:"忽略判断",NOT_NULL:"非 NULL 判断"),NOT_EMPTY:"非空判断"
      field-strategy: NOT_NULL
      #驼峰下划线转换
      column-underline: true
      logic-delete-value: -1
      logic-not-delete-value: 0
    banner: false
  #原生配置
  configuration:
    map-underscore-to-camel-case: true
    cache-enabled: false
    call-setters-on-nulls: true
    jdbc-type-for-null: 'null'

# 必须配置
feign:
  httpclient:
    enabled: false
  okhttp:
    enabled: true


hystrix:
  threadpool:
    default:
      coreSize: 1000 ##并发执行的最大线程数，默认10
      maxQueueSize: 1000 ##BlockingQueue的最大队列数
      queueSizeRejectionThreshold: 500 ##即使maxQueueSize没有达到，达到queueSizeRejectionThreshold该值后，请求也会被拒绝
  command:
    default:
      execution:
        isolation:
          thread:
            timeoutInMilliseconds: 110000


# 配置swagger
swagger:
  enabled: true
  base-package: com.dxhy.domestic
  title: dxhy-domestic
  version: 3.0
  description: 管理后端服务
  contact:
    name: domestic

auth:
  serviceId: dxhy-admin
  user:
    token-header: Authorization
  client:
    id: dxhy-domestic
    secret: 123456
    token-header: x-client-token


#是否校验抵扣限额
dkse:
  limit: true
#配置文件加密
jasypt:
  encryptor:
    password: dxhy
rabbitmq:
  prefetchCount: 2  # 个消费者可以fetch的最大消息数量
  concurrentConsumers: 2 # 设置并发消费者数量
  maxConcurrentConsumers: 10 # 设置最大消费者数量，自动扩展消费者数量关键配置
TO_EXCEL_APPLY: TO_EXCEL_APPLY
TO_INVOICE_LOG: TO_INVOICE_LOG
TO_INVOICE_STATUS: TO_INVOICE_STATUS
TO_MESSAGE_LOG: TO_MESSAGE_LOG
TO_MSG_EXCEL_APPLY: TO_MSG_EXCEL_APPLY
TO_CUSTOMS_LOG: TO_CUSTOMS_LOG
